package com.game.business.domain;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.game.common.annotation.Excel;
import com.game.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 充值渠道对象 app_charge_channel
 *
 * @author game
 * @date 2024-08-13
 */
@ApiModel(value = "app_charge_channel", description = "充值渠道")
@TableName(value= "app_charge_channel")
@Data
public class AppChargeChannel
        {
private static final long serialVersionUID=1L;

    /** $column.columnComment */
    @ApiModelProperty(value = "$column.columnComment")
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    /** 名称 */
    @ApiModelProperty(value = "名称")
    @Excel(name = "名称")
    @TableField(value = "name")
    private String name;

    /** 渠道key */
    @ApiModelProperty(value = "渠道key")
    @Excel(name = "渠道key")
    @TableField(value = "channel_key")
    private String channelKey;

    /** 渠道费率 */
    @ApiModelProperty(value = "渠道费率")
    @Excel(name = "渠道费率")
    @TableField(value = "rate")
    private Double rate;

    /** 渠道费率 */
    @ApiModelProperty(value = "渠道费率")
    @Excel(name = "渠道费率")
    @TableField(value = "withdraw_rate")
    private Double withdrawRate;

    /** 渠道费率 */
    @ApiModelProperty(value = "是否显示在充值页面 0：不显示  1：显示")
    @Excel(name = "是否显示在充值页面 0：不显示  1：显示")
    @TableField(value = "is_show")
    private Integer isShow;

    /** logo */
    @ApiModelProperty(value = "logo")
    @Excel(name = "logo")
    @TableField(value = "logo_url")
    private String logoUrl;

    /** 付款公司名 */
    @ApiModelProperty(value = "付款公司名")
    @Excel(name = "付款公司名")
    @TableField(value = "company")
    private String company;

    /** 支付id */
    @ApiModelProperty(value = "支付id")
    @Excel(name = "支付id")
    @TableField(value = "app_id")
    private String appId;

    /** 支付秘钥 */
    @ApiModelProperty(value = "支付秘钥")
    @Excel(name = "支付秘钥")
    @TableField(value = "app_secret")
    private String appSecret;

    /** 第三方支付url */
    @ApiModelProperty(value = "第三方支付url")
    @Excel(name = "第三方支付url")
    @TableField(value = "third_url")
    private String thirdUrl;

    /** 是否开启 0：未开启  1：开启 */
    @ApiModelProperty(value = "是否开启 0：未开启  1：开启")
    @Excel(name = "是否开启 0：未开启  1：开启")
    @TableField(value = "status")
    private Long status;

    /** 证书地址 */
    @ApiModelProperty(value = "证书地址")
    @Excel(name = "证书地址")
    @TableField(value = "cert_path")
    private String certPath;

    /** 阿里公钥证书地址 */
    @ApiModelProperty(value = "阿里公钥证书地址")
    @Excel(name = "阿里公钥证书地址")
    @TableField(value = "ali_public_cert")
    private String aliPublicCert;

    /** 阿里应用公钥证书地址 */
    @ApiModelProperty(value = "阿里应用公钥证书地址")
    @Excel(name = "阿里应用公钥证书地址")
    @TableField(value = "ali_apply_cert")
    private String aliApplyCert;

    /** 阿里ca根证书地址 */
    @ApiModelProperty(value = "阿里ca根证书地址")
    @Excel(name = "阿里ca根证书地址")
    @TableField(value = "ali_ca_cert")
    private String aliCaCert;

    /** 商户号 */
    @ApiModelProperty(value = "商户号")
    @Excel(name = "商户号")
    @TableField(value = "merchant_no")
    private String merchantNo;

    /** api秘钥 */
    @ApiModelProperty(value = "api秘钥")
    @Excel(name = "api秘钥")
    @TableField(value = "api_secret")
    private String apiSecret;

    /** 排序 */
    @ApiModelProperty(value = "排序")
    @Excel(name = "排序")
    @TableField(value = "orderno")
    private Long orderno;

}